# StepGeom_TransitionCode.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StepGeom_TransitionCode { StepGeom_tcDiscontinuous, StepGeom_tcContinuous, StepGeom_tcContSameGradient, StepGeom_tcContSameGradientSameCurvature }

## Enumeration Type Documentation

enum StepGeom_TransitionCode

Enumeration values:

  StepGeom_tcDiscontinuous |
  StepGeom_tcContinuous |
  StepGeom_tcContSameGradient |
  StepGeom_tcContSameGradientSameCurvature |